-- Copyright 2007 Gas Powered Games - All rights reserved
--
-- Author: Matt Mahon
--
-- Description:
--    Sample Mod to double economic output of econ units.
--


--this function is called already in game. This gives us a hook to screw the
--blueprint values for the units

do
    local oldModBlueprints = ModBlueprints

    function ModBlueprints(all_bps)
        oldModBlueprints(all_bps)

        local buildScale = 10.0

        --loop through the blueprints and adjust as desired.
        for id,bp in all_bps.Unit do
            if bp.Economy.MaxBuildDistance then
                bp.Economy.MaxBuildDistance = bp.Economy.MaxBuildDistance * buildScale
            end
            if bp.Economy.BuildRate then
                bp.Economy.BuildRate = bp.Economy.BuildRate * buildScale
                if bp.Economy.MaxBuildDistance == nil then
                    bp.Economy.MaxBuildDistance = 10
                end
                bp.Economy.MaxBuildDistance = bp.Economy.MaxBuildDistance * buildScale
            end
            if bp.Enhancements then
                for k,v in bp.Enhancements do
                    if bp.Enhancements[k].NewBuildRate then
                        bp.Enhancements[k].NewBuildRate = bp.Enhancements[k].NewBuildRate * buildScale
                    end
                end
            end
        end
    end

end




